MII-TOOL(8)

NUME
mii-tool - afișează, manipulează starea interfeței independent de suportul media

SINOPSIS
mii-tool [-v, --verbose] [-V, --version] [-R, --reset] [-r, --restart] [-w, --watch] [-l, --log] [-A, --advertise=media,...] [-F, --force=media] [-p, --phy=adresa] interfața ...

DESCRIERE
Acest program verifică sau stabilește starea unității MII (Media Independent Interface) a unei interfețe de rețea. Majoritatea adaptoarelor ethernet rapide utilizează o MII pentru autonegocierea vitezei legăturii și a configurării duplex.

Majoritatea dispozitivelor de rețea inteligente utilizează un protocol de autonegociere pentru a comunica ce tehnologii media suportă și apoi selectează cea mai rapidă tehnologie media reciproc acceptată. Opțiunile -A sau --advertise pot fi utilizate pentru a indica MII să anunțe doar un subset din capacitățile sale. Unele dispozitive pasive, cum ar fi hub-urile cu o singură viteză, nu sunt capabile să efectueze auto-negocierea. Pentru a gestiona astfel de dispozitive, protocolul MII permite, de asemenea, stabilirea unei legături prin simpla detectare dintr-o bătaie a unei conexiuni 10baseT sau 100baseT. Opțiunile -F sau --force pot fi utilizate pentru a forța protocolul MII să funcționeze într-un singur mod, în loc de autonegociere. Opțiunile -A și -F se exclud reciproc.

Ieșirea scurtă implicită raportează viteza de legătură negociată și starea legăturii pentru fiecare interfață.

OPȚIUNI

-v, --verbose
    Afișează informații mai detaliate despre starea MII. Dacă este utilizată de două ori, afișează și conținutul registrului MII brut.
    Alertă: Dacă este utilizată de trei ori, va forța citirea tuturor registrelor MII, inclusiv a celor non-standard. Nu este garantat niciun răspuns valid din partea PHY, în timp ce comunicarea PHY se poate chiar bloca. Cu controlorul e1000e va eșua în timpul citirii registrului 0x07.

-V, --version
    Afișează informațiile despre versiunea programului.

-R, --reset
    Restabilește MII la configurația sa implicită.

-r, --restart
    Reinițializează autonegocierea.

-w, --watch
    Supraveghează interfața (interfețele) și raportează modificările în starea legăturii. Interfețele MII sunt sondate la intervale de o secundă.

-l, --log
    Folosită cu -w, înregistrează modificările stării legăturii în jurnalul de sistem în loc să le afișeze la ieșirea standard.

-F media, --force=media
    Dezactivează autonegocierea și forțează MII să opereze fie în modul 100baseTx-FD, fie în modul 100baseTx-HD, fie în modul 10baseT-FD sau în modul 10baseT-HD.

-A media,..., --advertise=media,...
    Activează și repornește autonegocierea și anunță numai tehnologiile media specificate. Tehnologiile multiple trebuie să fie separate prin virgulă. Mediile valide sunt 100baseT4, 100baseTx-FD, 100baseTx-HD, 10baseT-FD și 10baseT-HD.

-p adresa, --phy=adresa
    Suprascrie adresa MII furnizată de nucleu cu valoarea adresa.

DIAGNOSTICARE

SIOCGMIIPHY pe „eth?” a eșuat: Argument nevalid
    Dacă interfața nu funcționează (up), nucleul va refuza să raporteze starea conexiunii sale.

SIOCGMIIPHY pe „eth?” a eșuat: Operația nu este permisă
    Majoritatea nucleelor restricționează accesul la root.

SIOCGMIIPHY pe „eth?” a eșuat: Nu există un astfel de dispozitiv
    Această eroare este afișată dacă nucleul nu cunoaște dispozitivul numit.

SIOCGMIIPHY pe „eth?” a eșuat: Operația nu este acceptată
    Interfața în cauză nu acceptă interogări MII. Cel mai probabil, aceasta nu are deloc transmițătoare-receptoare MII.

AUTORI
David Hinds - dhinds@pcmcia.sourceforge.org
Donald Becker - becker@scyld.com
Bernd Eckenfels - net-tools@lina.inka.de

CONSULTAȚI ȘI
http://net-tools.sourceforge.net - Pagina principală a proiectului net-tools

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.